using System;

namespace kvalifikacije
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int[] u = new int[n - 1];
            int[] v = new int[n - 1];
            char[] sio = new char[n - 1];
            int brs = 0;
            int bri = 0;
            int bro = 0;
            int br = 0;
            for (int i = 0; i < n-1; i++)
            {
                string[] niz = Console.ReadLine().Split();
                u[i] = Int32.Parse(niz[0]);
                v[i] = Int32.Parse(niz[1]);
                sio[i] = char.Parse(niz[2]);
            }
            for(int i = 1; i < n; i++)
            {
                for(int j = i; j < n-1; j++)
                {
                    if (sio[j] == 'S')
                        brs++;
                    else
                        if (sio[j] == 'I')
                        bri++;
                    else
                        bro++;
                    if (brs == bri && bri == bro)
                        br++;
                }
            }
            Console.WriteLine(br);
        }
    }
}